Draft: Ellisse

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Ellipse and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Arc.svg Arco Pagina precedente:
Pagina successiva: Poligono Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Ellisse

Posizione nel menu
Draft → Ellisse
Ambiente
Draft, Architettura
Avvio veloce
E L
Introdotto nella versione
0.7
Vedere anche
Circonferenza, Arco


Descrizione

Crea nel corrente piano di lavoro una ellisse inscritta in un rettangolo. Per definire il rettangolo di contenimento inserire due vertici opposti. L'ellisse assume il tipo di linea e il colore impostati in precedenza nel Vassoio di Draft.

Questo strumento può essere utilizzato anche per creare archi ellittici specificando l'angolo di inizio e di fine. Per creare cerchi e archi circolari usare gli strumenti Cerchio e Arco. Si può anche approssimare un arco ellittico o circolare usando gli strumenti B-spline e Curva di Bezier.

Draft ellipse example.jpg

Ellisse definita dagli angoli del rettangolo


Utilizzo

  1. Premere il pulsante Draft Ellipse.png Ellisse, o premere i tasti E e poi L.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un secondo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.

L'ellisse può essere trasformata in un arco ellittico dopo la creazione, impostando le proprietà del primo angolo e dell'ultimo angolo su valori diversi..

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Ellisse si riavvia dopo aver terminato la figura in costruzione, e consente di disegnare una nuova ellisse senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, l'ellisse chiusa crea una faccia piena (DATAMake Face True); in caso contrario, l'ellisse chiusa non crea una faccia (DATAMake Face False).
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Un oggetto Ellisse condivide tutte le proprietà di un Cerchio, ma alcune proprietà hanno senso solo per l'ellisse.

Dati

  • DATAFirst Angle: specifica l'angolo del primo punto dell'ellisse; normalmente 0°.
  • DATALast Angle: specifica l'angolo dell'ultimo punto dell'ellisse; normalmente 0°.
  • DATAMajor Radius: specifica il raggio maggiore dell'ellisse.
  • DATAMinor Radius: specifica il raggio minore dell'ellisse.
Se entrambi i raggi hanno lo stesso valore, l'ellisse ha lo stesso aspetto di un Cerchio.
  • DATAMake Face: specifica se l'ellisse crea una faccia o no. Se è True viene creata una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto. Questa proprietà funziona solo se la forma è un'ellisse completa.
Per avere un'ellisse completa le proprietà DATAFirst Angle e DATALast Angle devono avere lo stesso valore; in caso contrario, viene visualizzato un arco ellittico. I valori 0° e 360° sono considerati uguali.

Vista

  • VIEWPattern: specifica un Modello di disegno con cui riempire la faccia della forma. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione del Modello di disegno.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Ellisse può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Crea un oggetto Ellipse dai dati di (majradius) e (minradius) in millimetri.
    • Il valore più grande viene utilizzato per il raggio maggiore (asse X) se non viene fornito nessun altro posizionamento.
  • Se viene dato un placement, esso viene utilizzato; altrimenti la forma viene creata all'origine.
  • Se face è True, l'ellisse crea una faccia, cioè appare riempita.

Esempio:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Draft Arc.svg Arco Pagina precedente:
Pagina successiva: Poligono Draft Polygon.svg Arrow-right.svg